package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 撤销订单类型
 */
@AllArgsConstructor
@Getter
public enum ECancelOrderType {

    /**
     * 单点撤单
     */
    SINGLE_CANCEL_ORDER(1, "单点撤单", 0),

    /**
     * 合并撤单
     */
    MERGE_CANCEL_ORDER(2, "合并撤单", 0),

    /**
     * 其他整单撤单
     */
    OTHER_CANCEL_ORDER(3, "其他整单撤单", 0),

//    /**
//     * 其他部分撤单
//     */
//    OTHER_CANCEL_PART_ORDER(4, "其他部分撤单", 0),

    /**
     * 单点退单
     */
    SINGLE_RETREAT_ORDER(5, "单点退单", 0),

    /**
     * 合并退单
     */
    MERGE_RETREAT_ORDER(6, "合并退单", 0),

    /**
     * 其他退单
     */
    OTHER_RETREAT_ORDER(7, "其他退单", 0),
    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;


}
